function getCookie(key) 

{ 

    var cookieValue = null; 

	//alert("Entra a getCookie");

    if (key) 

    { 

        var cookieSearch = key + "="; 

        if (document.cookie) 

        { 

            var cookieArray = document.cookie.split(";"); 

            for (var i = 0; i < cookieArray.length; i++) 

            { 

                var cookieString = cookieArray[i]; 

                // skip past leading spaces 

                while (cookieString.charAt(0) == ' ') 

                { 

                    cookieString = cookieString.substr(1); 

                } 

                // extract the actual value 

                if (cookieString.indexOf(cookieSearch) == 0) 

                { 

                    cookieValue = cookieString.substr(cookieSearch.length); 

                } 

            } 

        } 

    } 

	//alert("encontro="+cookieValue);

    return cookieValue; 

} 

function setCookie(key, val) 

{ 

	//alert("Entra a setCookie");

    if (key) 

    { 

        var date = new Date(); 

        if (val != null) 

        { 

            // expires in one year 

			//alert("val="+val);

            date.setTime(date.getTime() + (1*24*60*60*1000)); 

            document.cookie = key + "=" + val + "; expires=" + date.toGMTString()+"; domain=.inkagames.com; path=/"; 

        } 

        else 

        { 

            // expires yesterday 

            date.setTime(date.getTime() - (24*60*60*1000)); 

            document.cookie = key + "=; expires=" + date.toGMTString(); 

        } 

    } 

} 







function grabaEstadisticas(url){



	var xmlhttp;



	xmlhttp = creaObjetoXMLHTTP();



	xmlhttp.open("GET",url,true);



	xmlhttp.send(null);



}







function enviaCorreo(nombre,mail,mensaje){



	var xmlhttp;



	var url;



	//aux = 0;



	xmlhttp = creaObjetoXMLHTTP();







	url = "juego_js/correo.php?nombre="+nombre+"&mail="+mail+"&mensaje="+mensaje;



	//alert(url);



	xmlhttp.open("GET",url,true);



	xmlhttp.send(null);



}







function PreguntaIdiomaSesion(url){



	var xmlhttp;



	xmlhttp = creaObjetoXMLHTTP();



	xmlhttp.onreadystatechange=function(){



		if(xmlhttp.readyState==4){



			//document.getElementById("divvecesjugado").innerHTML= xmlhttp.responseText;



			var idioma = xmlhttp.responseText;



			if(idioma=="English"){



				window.location="http://www.inkagames.com/j_categorias.php?lang=en&inicio=0&codcategoria=8";



			}else{



				window.location="http://www.inkagames.com/j_categorias.php?lang=es&inicio=0&codcategoria=8";



			}



		}else{



		}



	}



	xmlhttp.open("GET",url,true);



	xmlhttp.send(null);



}







function MuestraVecesJugado(codjuego){



	var xmlhttp;



	xmlhttp = creaObjetoXMLHTTP();



	xmlhttp.onreadystatechange=function(){



		if(xmlhttp.readyState==4){



			document.getElementById("divvecesjugado").innerHTML = xmlhttp.responseText;



		}else{



		}



	}



	url = "../j_vecesjugado.php?a="+Math.random()+"&codjuego="+codjuego;







	xmlhttp.open("GET",url,true);



	xmlhttp.send(null);



}







function MuestraJuegosNuevos(inicio,len,nfilas,idioma,carpeta_imagen,carpeta_html){



	var xmlhttp;



	var aux;



	aux = 0;



	xmlhttp = creaObjetoXMLHTTP();



	xmlhttp.onreadystatechange=function(){



		if(xmlhttp.readyState==4){



			document.getElementById("divjuegosnuevos").innerHTML = xmlhttp.responseText;



		}else{



			if(aux==0){



				document.getElementById("divjuegosnuevos").innerHTML = "<br/><br/><img src='juego_imagenes/loading.gif' width='50px' height='50px'>";



				aux=1;



			}



			//document.all["divjuegosnuevos"].innerHTML = "espere";



		}



	}



	url = "j_muestra_juegos_nuevos.php?a="+Math.random()+"&inicio="+inicio+"&nfilas="+nfilas+



	"&len="+len+"&idioma="+idioma+"&carpeta_imagen="+carpeta_imagen+"&carpeta_html="+carpeta_html;



	//url = "../muestra_juegos_nuevos.php";



	//alert(url);



	xmlhttp.open("GET",url,true);



	xmlhttp.send(null);



}







function creaObjetoXMLHTTP(){



	var xmlhttp;



	if (window.XMLHttpRequest) {



		// code for IE7+, Firefox, Chrome, Opera, Safari



		xmlhttp=new XMLHttpRequest();



	}else if (window.ActiveXObject){



		// code for IE6, IE5



		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");



	}



	return xmlhttp;



}







function busca(id,idioma){



	//alert("1");



	valor=document.getElementById(id).value;



	if(valor.length<3){



		if (idioma=='es'){



			alert("La búsqueda debe contener al menos 3 caracteres");	



		}else{



			alert("Search value must be at least 3 chars long");	



		}



		return;



	}



	//alert (valor);



	window.location = "j_busqueda.php?valor="+valor+"&lang="+idioma;



}







function limpiaTexto(id){



	//document.getElementById(id).value = "";



}







function getURLParam(strParamName){



	var strReturn = "";



	var strHref = window.location.href;



	if ( strHref.indexOf("?") > -1 ){



		var strQueryString = strHref.substr(strHref.indexOf("?")).toLowerCase();



		var aQueryString = strQueryString.split("&");



		for ( var iParam = 0; iParam < aQueryString.length; iParam++ ){



			if (aQueryString[iParam].indexOf(strParamName.toLowerCase() + "=") > -1 ){



				var aParam = aQueryString[iParam].split("=");



				strReturn = aParam[1];



				break;



			}



		}



	}



	return unescape(strReturn);



}